%define major	0
%define libname	%mklibname adms %{major}

Name:		adms
Summary:	An automatic device model synthesizer
Version:	2.3.7
Release:	%mkrel 3
License:	GPLv3
Group:		Development/Other
Url:		https://github.com/Qucs/ADMS
Source0:	https://github.com/Qucs/ADMS/releases/download/release-%{version}/adms-%{version}.tar.gz
Patch0:		adms-fix-build-with-gcc15.patch
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	perl(XML::LibXML)
Provides:	mot-adms = %{version}-%{release}

%description
ADMS is a code generator that converts electrical compact device models
specified in high-level description language into ready-to-compile C code for
the API of spice simulators. Based on transformations specified in XML
language, ADMS transforms Verilog-AMS code into other target languages.

This version is forked from the code previously available at:
https://sourceforge.net/projects/mot-adms/files/adms-source/2.3/

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
ADMS is a code generator that converts electrical compact device models
specified in high-level description language into ready-to-compile C code for
the API of spice simulators. Based on transformations specified in XML
language, ADMS transforms Verilog-AMS code into other target languages.

This version is forked from the code previously available at:
https://sourceforge.net/projects/mot-adms/files/adms-source/2.3/

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --disable-static
%make_build

%install
%make_install

# no devel pkg
find %{buildroot}%{_libdir} -name "*.so" -delete

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%license COPYING
%doc AUTHORS README* NEWS
%{_bindir}/admsCheck
%{_bindir}/admsXml
%{_mandir}/man1/admsCheck.1*
%{_mandir}/man1/admsXml.1*
%{_includedir}/adms/

%files -n %{libname}
%{_libdir}/libadms*.so.%{major}{,.*}


%changelog
* Wed May 07 2025 ns80 <ns80> 2.3.7-3.mga10
+ Revision: 2181760
- try to fix building with GCC 15

* Thu Mar 17 2022 umeabot <umeabot> 2.3.7-2.mga9
+ Revision: 1797118
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 wally <wally> 2.3.7-1.mga8
+ Revision: 1663784
- imported package adms

